Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
commoncrypto_mode.cpp File Reference
`#include <botan/cipher_mode.h>`
`#include <botan/internal/rounding.h>`
`#include <botan/internal/commoncrypto.h>`
`#include "commoncrypto_utils.h"`
`#include <limits.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
Cipher_Mode * | Botan::make_commoncrypto_cipher_mode (const std::string &name, Cipher_Dir direction)

## Variable Documentation

CCCryptorRef m_cipher = nullptr

Definition at line 50 of file commoncrypto_mode.cpp.

Referenced by Botan::EAX_Mode::block_size(), Botan::CBC_Mode::cipher(), Botan::XTS_Mode::cipher(), Botan::CFB_Mode::cipher(), Botan::CCM_Mode::cipher(), Botan::CBC_MAC::key_spec(), Botan::CMAC::key_spec(), and Botan::CBC_MAC::output_length().

Cipher_Dir m_direction

Definition at line 48 of file commoncrypto_mode.cpp.

bool m_key_set

Definition at line 51 of file commoncrypto_mode.cpp.

const std::string m_mode_name

Definition at line 47 of file commoncrypto_mode.cpp.

bool m_nonce_set

Definition at line 52 of file commoncrypto_mode.cpp.

CommonCryptor_Opts m_opts

Definition at line 49 of file commoncrypto_mode.cpp.